# -*- coding: utf-8 -*-
# December 2021
# Duncan Kitts
# Form implementation generated from reading ui file
#
# Created by: PyQt5 UI code generator 5.15.4
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.

from PyQt5 import QtCore, QtWidgets
from PyQt5.QtWidgets import QFileDialog
from PyQt5.QtWidgets import QMessageBox
import subprocess


# Sets up UI
class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(594, 451)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.layoutWidget = QtWidgets.QWidget(self.centralwidget)
        self.layoutWidget.setGeometry(QtCore.QRect(20, 100, 258, 316))
        self.layoutWidget.setObjectName("layoutWidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.layoutWidget)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.groupBox_2 = QtWidgets.QGroupBox(self.layoutWidget)
        self.groupBox_2.setObjectName("groupBox_2")
        self.radioButton = QtWidgets.QRadioButton(self.groupBox_2)
        self.radioButton.setGeometry(QtCore.QRect(20, 20, 70, 17))
        self.radioButton.setObjectName("radioButton")
        self.radioButton_2 = QtWidgets.QRadioButton(self.groupBox_2)
        self.radioButton_2.setGeometry(QtCore.QRect(110, 20, 70, 17))
        self.radioButton_2.setObjectName("radioButton_2")
        self.listWidget = QtWidgets.QListWidget(self.groupBox_2)
        self.listWidget.setGeometry(QtCore.QRect(10, 70, 51, 131))
        self.listWidget.setAlternatingRowColors(True)
        self.listWidget.setSelectionMode(QtWidgets.QAbstractItemView.ExtendedSelection)
        self.listWidget.setObjectName("listWidget")
        item = QtWidgets.QListWidgetItem()
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        self.listWidget.addItem(item)
        item = QtWidgets.QListWidgetItem()
        self.listWidget.addItem(item)
        self.label_2 = QtWidgets.QLabel(self.groupBox_2)
        self.label_2.setGeometry(QtCore.QRect(10, 40, 256, 31))
        self.label_2.setObjectName("label_2")
        self.groupBox = QtWidgets.QGroupBox(self.groupBox_2)
        self.groupBox.setGeometry(QtCore.QRect(0, 210, 256, 41))
        self.groupBox.setObjectName("groupBox")
        self.checkBox_3 = QtWidgets.QCheckBox(self.groupBox)
        self.checkBox_3.setGeometry(QtCore.QRect(10, 20, 70, 17))
        self.checkBox_3.setObjectName("checkBox_3")
        self.checkBox_4 = QtWidgets.QCheckBox(self.groupBox)
        self.checkBox_4.setGeometry(QtCore.QRect(70, 20, 70, 17))
        self.checkBox_4.setObjectName("checkBox_4")
        self.checkBox_5 = QtWidgets.QCheckBox(self.groupBox)
        self.checkBox_5.setGeometry(QtCore.QRect(130, 20, 70, 17))
        self.checkBox_5.setObjectName("checkBox_5")
        self.groupBox_3 = QtWidgets.QGroupBox(self.groupBox_2)
        self.groupBox_3.setGeometry(QtCore.QRect(0, 250, 256, 61))
        self.groupBox_3.setObjectName("groupBox_3")
        self.checkBox_6 = QtWidgets.QCheckBox(self.groupBox_3)
        self.checkBox_6.setGeometry(QtCore.QRect(10, 20, 141, 17))
        self.checkBox_6.setObjectName("checkBox_6")
        self.checkBox_7 = QtWidgets.QCheckBox(self.groupBox_3)
        self.checkBox_7.setGeometry(QtCore.QRect(130, 20, 70, 17))
        self.checkBox_7.setObjectName("checkBox_7")
        self.checkBox_8 = QtWidgets.QCheckBox(self.groupBox_3)
        self.checkBox_8.setGeometry(QtCore.QRect(190, 20, 70, 17))
        self.checkBox_8.setObjectName("checkBox_8")
        self.checkBox_9 = QtWidgets.QCheckBox(self.groupBox_3)
        self.checkBox_9.setGeometry(QtCore.QRect(30, 40, 70, 17))
        self.checkBox_9.setObjectName("checkBox_9")
        self.checkBox_10 = QtWidgets.QCheckBox(self.groupBox_3)
        self.checkBox_10.setGeometry(QtCore.QRect(80, 40, 70, 17))
        self.checkBox_10.setObjectName("checkBox_10")
        self.checkBox_11 = QtWidgets.QCheckBox(self.groupBox_3)
        self.checkBox_11.setGeometry(QtCore.QRect(140, 40, 70, 17))
        self.checkBox_11.setObjectName("checkBox_11")
        self.verticalLayout.addWidget(self.groupBox_2)
        self.layoutWidget1 = QtWidgets.QWidget(self.centralwidget)
        self.layoutWidget1.setGeometry(QtCore.QRect(20, 20, 371, 25))
        self.layoutWidget1.setObjectName("layoutWidget1")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.layoutWidget1)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(self.layoutWidget1)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.lineEdit = QtWidgets.QLineEdit(self.layoutWidget1)
        self.lineEdit.setObjectName("lineEdit")
        self.horizontalLayout.addWidget(self.lineEdit)
        self.pushButton_3 = QtWidgets.QPushButton(self.layoutWidget1)
        self.pushButton_3.setObjectName("pushButton_3")
        self.horizontalLayout.addWidget(self.pushButton_3)
        self.layoutWidget2 = QtWidgets.QWidget(self.centralwidget)
        self.layoutWidget2.setGeometry(QtCore.QRect(20, 50, 371, 25))
        self.layoutWidget2.setObjectName("layoutWidget2")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.layoutWidget2)
        self.horizontalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_3 = QtWidgets.QLabel(self.layoutWidget2)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout_2.addWidget(self.label_3)
        self.lineEdit_2 = QtWidgets.QLineEdit(self.layoutWidget2)
        self.lineEdit_2.setEnabled(True)
        self.lineEdit_2.setObjectName("lineEdit_2")
        self.horizontalLayout_2.addWidget(self.lineEdit_2)
        self.pushButton_4 = QtWidgets.QPushButton(self.layoutWidget2)
        self.pushButton_4.setObjectName("pushButton_4")
        self.horizontalLayout_2.addWidget(self.pushButton_4)
        self.layoutWidget3 = QtWidgets.QWidget(self.centralwidget)
        self.layoutWidget3.setGeometry(QtCore.QRect(300, 100, 258, 261))
        self.layoutWidget3.setObjectName("layoutWidget3")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.layoutWidget3)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.label_5 = QtWidgets.QLabel(self.layoutWidget3)
        self.label_5.setObjectName("label_5")
        self.verticalLayout_2.addWidget(self.label_5)
        self.listWidget_2 = QtWidgets.QListWidget(self.layoutWidget3)
        self.listWidget_2.setAlternatingRowColors(True)
        self.listWidget_2.setSelectionMode(QtWidgets.QAbstractItemView.ExtendedSelection)
        self.listWidget_2.setObjectName("listWidget_2")
        self.verticalLayout_2.addWidget(self.listWidget_2)
        # Brings in list of tile names
        self.listWidget_2.addItems(
            ["P40", "HP50", "HP51", "HP60", "HP61", "HP62", "HT93", "HT94", "HU06", "HU14", "HU15", "HU16", "HU24",
             "HU25", "HU26", "HU27", "HU28", "HU30", "HU31", "HU32", "HU33", "HU34", "HU35", "HU36", "HU37", "HU38",
             "HU39", "HU40", "HU41", "HU42", "HU43", "HU44", "HU45", "HU46", "HU47", "HU48", "HU49", "HU53", "HU54",
             "HU55", "HU56", "HU57", "HU58", "HU59", "HU66", "HU67", "HU68", "HU69", "HU77", "HW83", "HY10", "HY20",
             "HY21", "HY22", "HY23", "HY30", "HY31", "HY32", "HY33", "HY34", "HY35", "HY40", "HY41", "HY42", "HY43",
             "HY44", "HY45", "HY50", "HY51", "HY52", "HY53", "HY54", "HY55", "HY60", "HY61", "HY62", "HY63", "HY64",
             "HY73", "HY74", "HY75", "HZ16", "HZ17", "HZ26", "HZ27", "NA00", "NA10", "NA74", "NA81", "NA90", "NA91",
             "NA92", "NA93", "NB00", "NB01", "NB02", "NB03", "NB10", "NB11", "NB12", "NB13", "NB14", "NB20", "NB21",
             "NB22", "NB23", "NB24", "NB25", "NB30", "NB31", "NB32", "NB33", "NB34", "NB35", "NB36", "NB40", "NB41",
             "NB42", "NB43", "NB44", "NB45", "NB46", "NB52", "NB53", "NB54", "NB55", "NB56", "NB90", "NB91", "NC00",
             "NC01", "NC03", "NC10", "NC11", "NC12", "NC13", "NC14", "NC15", "NC16", "NC20", "NC21", "NC22", "NC02",
             "NC23", "NC24", "NC25", "NC26", "NC27", "NC30", "NC31", "NC32", "NC33", "NC34", "NC35", "NC36", "NC37",
             "NC38", "NC40", "NC41", "NC42", "NC43", "NC44", "NC45", "NC46", "NC47", "NC50", "NC51", "NC52", "NC53",
             "NC54", "NC55", "NC56", "NC60", "NC61", "NC62", "NC63", "NC64", "NC65", "NC66", "NC70", "NC71", "NC72",
             "NC73", "NC74", "NC75", "NC76", "NC80", "NC81", "NC82", "NC83", "NC84", "NC85", "NC86", "NC87", "NC90",
             "NC91", "NC92", "NC93", "NC94", "NC95", "NC96", "ND01", "ND02", "ND03", "ND04", "ND05", "ND06", "ND07",
             "ND10", "ND12", "ND13", "ND14", "ND15", "ND16", "ND17", "ND19", "ND23", "ND24", "ND25", "ND26", "ND27",
             "ND28", "ND29", "ND33", "ND34", "ND35", "ND36", "ND37", "ND38", "ND39", "ND47", "ND48", "ND49", "ND59",
             "NF09", "NF19", "NF56", "NF58", "NF60", "NF61", "NF66", "NF67", "NF68", "NF70", "NF71", "NF72", "NF73",
             "NF74", "NF75", "NF76", "NF77", "NF80", "NF81", "NF82", "NF83", "NF84", "NF85", "NF86", "NF87", "NF88",
             "NF89", "NF95", "NF96", "NF97", "NF98", "NF99", "NG07", "NG08", "NG09", "NG10", "NG13", "NG14", "NG15",
             "NG18", "NG19", "NG20", "NG23", "NG24", "NG25", "NG26", "NG29", "NG30", "NG31", "NG32", "NG33", "NG34",
             "NG35", "NG36", "NG37", "NG39", "NG38", "NG40", "NG41", "NG42", "NG43", "NG44", "NG45", "NG46", "NG47",
             "NG49", "NG50", "NG51", "NG52", "NG53", "NG54", "NG55", "NG56", "NG60", "NG61", "NG62", "NG63", "NG64",
             "NG65", "NG66", "NG70", "NG71", "NG72", "NG73", "NG74", "NG75", "NG76", "NG77", "NG78", "NG79", "NG80",
             "NG81", "NG82", "NG83", "NG84", "NG85", "NG86", "NG87", "NG88", "NG89", "NG90", "NG91", "NG92", "NG93",
             "NG94", "NG95", "NG96", "NG97", "NG98", "NG99", "NH00", "NH01", "NH02", "NH03", "NH04", "NH05", "NH06",
             "NH07", "NH08", "NH09", "NH10", "NH11", "NH12", "NH13", "NH14", "NH15", "NH16", "NH17", "NH18", "NH19",
             "NH20", "NH21", "NH22", "NH23", "NH24", "NH25", "NH26", "NH27", "NH28", "NH29", "NH30", "NH31", "NH32",
             "NH33", "NH34", "NH35", "NH36", "NH37", "NH38", "NH39", "NH40", "NH41", "NH42", "NH43", "NH44", "NH45",
             "NH46", "NH47", "NH48", "NH49", "NH50", "NH51", "NH52", "NH53", "NH54", "NH55", "NH56", "NH57", "NH58",
             "NH59", "NH60", "NH61", "NH62", "NH63", "NH64", "NH65", "NH66", "NH67", "NH68", "NH69", "NH70", "NH71",
             "NH72", "NH73", "NH74", "NH75", "NH76", "NH77", "NH78", "NH79", "NH80", "NH81", "NH82", "NH83", "NH84",
             "NH85", "NH86", "NH87", "NH88", "NH89", "NH90", "NH91", "NH92", "NH93", "NH94", "NH95", "NH96", "NH97",
             "NH98", "NJ00", "NJ01", "NJ02", "NJ03", "NJ04", "NJ05", "NJ06", "NJ10", "NJ11", "NJ12", "NJ13", "NJ14",
             "NJ15", "NJ16", "NJ17", "NJ20", "NJ21", "NJ22", "NJ23", "NJ24", "NJ25", "NJ26", "NJ27", "NJ30", "NJ31",
             "NJ32", "NJ33", "NJ34", "NJ35", "NJ36", "NJ40", "NJ41", "NJ42", "NJ43", "NJ44", "NJ45", "NJ46", "NJ50",
             "NJ51", "NJ52", "NJ53", "NJ54", "NJ55", "NJ56", "NJ60", "NJ61", "NJ62", "NJ63", "NJ64", "NJ65", "NJ66",
             "NJ70", "NJ71", "NJ72", "NJ73", "NJ74", "NJ75", "NJ76", "NJ80", "NJ81", "NJ82", "NJ83", "NJ84", "NJ85",
             "NJ86", "NJ90", "NJ91", "NJ92", "NJ93", "NJ94", "NJ95", "NJ96", "NK02", "NK03", "NK04", "NK05", "NK06",
             "NK13", "NK14", "NK15", "NL57", "NL58", "NL68", "NL69", "NL79", "NL84", "NL93", "NL94", "NM04", "NM05",
             "NM14", "NM15", "NM16", "NM19", "NM21", "NM22", "NM23", "NM24", "NM25", "NM26", "NM29", "NM31", "NM32",
             "NM33", "NM34", "NM35", "NM37", "NM38", "NM39", "NM40", "NM41", "NM42", "NM43", "NM44", "NM45", "NM46",
             "NM47", "NM48", "NM49", "NM51", "NM52", "NM53", "NM54", "NM55", "NM56", "NM57", "NM59", "NM60", "NM61",
             "NM62", "NM63", "NM64", "NM65", "NM66", "NM67", "NM68", "NM69", "NM70", "NM71", "NM72", "NM73", "NM74",
             "NM75", "NM76", "NM77", "NM78", "NM79", "NM80", "NM81", "NM82", "NM83", "NM84", "NM85", "NM86", "NM87",
             "NM88", "NM89", "NM90", "NM91", "NM92", "NM93", "NM94", "NM95", "NM96", "NM97", "NM98", "NM99", "NN00",
             "NN01", "NN02", "NN03", "NN04", "NN05", "NN06", "NN07", "NN08", "NN09", "NN10", "NN11", "NN12", "NN13",
             "NN14", "NN15", "NN16", "NN17", "NN18", "NN19", "NN20", "NN21", "NN22", "NN23", "NN24", "NN25", "NN26",
             "NN27", "NN28", "NN29", "NN30", "NN31", "NN32", "NN33", "NN34", "NN35", "NN36", "NN37", "NN38", "NN39",
             "NN40", "NN41", "NN42", "NN43", "NN44", "NN45", "NN46", "NN47", "NN48", "NN49", "NN50", "NN51", "NN52",
             "NN53", "NN54", "NN55", "NN56", "NN57", "NN58", "NN59", "NN60", "NN61", "NN62", "NN63", "NN64", "NN65",
             "NN66", "NN67", "NN68", "NN69", "NN70", "NN71", "NN72", "NN73", "NN74", "NN75", "NN76", "NN77", "NN78",
             "NN79", "NN80", "NN81", "NN82", "NN83", "NN84", "NN85", "NN86", "NN87", "NN88", "NN89", "NN90", "NN91",
             "NN92", "NN93", "NN94", "NN95", "NN96", "NN97", "NN98", "NN99", "NO00", "NO01", "NO02", "NO03", "NO04",
             "NO05", "NO06", "NO07", "NO08", "NO09", "NO10", "NO11", "NO12", "NO13", "NO14", "NO15", "NO16", "NO17",
             "NO18", "NO19", "NO20", "NO21", "NO22", "NO23", "NO24", "NO25", "NO26", "NO27", "NO28", "NO29", "NO30",
             "NO31", "NO32", "NO33", "NO34", "NO35", "NO36", "NO37", "NO38", "NO39", "NO40", "NO41", "NO42", "NO43",
             "NO44", "NO45", "NO46", "NO47", "NO48", "NO49", "NO50", "NO51", "NO52", "NO53", "NO54", "NO55", "NO56",
             "NO57", "NO58", "NO59", "NO60", "NO61", "NO63", "NO64", "NO65", "NO66", "NO67", "NO68", "NO69", "NO74",
             "NO75", "NO76", "NO77", "NO78", "NO79", "NO86", "NO87", "NO88", "NO89", "NO99", "NR15", "NR16", "NR24",
             "NR25", "NR26", "NR27", "NR34", "NR35", "NR36", "NR37", "NR38", "NR39", "NR44", "NR45", "NR46", "NR47",
             "NR48", "NR49", "NR50", "NR51", "NR56", "NR57", "NR58", "NR59", "NR60", "NR61", "NR62", "NR63", "NR64",
             "NR65", "NR67", "NR68", "NR69", "NR70", "NR71", "NR72", "NR73", "NR74", "NR75", "NR76", "NR77", "NR78",
             "NR79", "NR82", "NR83", "NR84", "NR85", "NR86", "NR87", "NR88", "NR89", "NR92", "NR93", "NR94", "NR95",
             "NR96", "NR97", "NR98", "NR99", "NS02", "NS03", "NS04", "NS05", "NS06", "NS07", "NS08", "NS09", "NS10",
             "NS14", "NS15", "NS16", "NS17", "NS18", "NS19", "NS20", "NS21", "NS24", "NS25", "NS26", "NS27", "NS28",
             "NS29", "NS30", "NS31", "NS32", "NS33", "NS34", "NS35", "NS36", "NS37", "NS38", "NS39", "NS40", "NS41",
             "NS42", "NS43", "NS44", "NS45", "NS46", "NS47", "NS48", "NS49", "NS50", "NS51", "NS52", "NS53", "NS54",
             "NS55", "NS56", "NS57", "NS58", "NS59", "NS60", "NS61", "NS62", "NS63", "NS64", "NS65", "NS66", "NS67",
             "NS68", "NS69", "NS70", "NS71", "NS72", "NS73", "NS74", "NS75", "NS76", "NS77", "NS78", "NS79", "NS80",
             "NS81", "NS82", "NS83", "NS84", "NS85", "NS86", "NS87", "NS88", "NS89", "NS90", "NS91", "NS92", "NS93",
             "NS94", "NS95", "NS96", "NS97", "NS98", "NS99", "NT00", "NT01", "NT02", "NT03", "NT04", "NT05", "NT06",
             "NT07", "NT08", "NT09", "NT10", "NT11", "NT12", "NT13", "NT14", "NT15", "NT16", "NT17", "NT18", "NT19",
             "NT20", "NT21", "NT22", "NT23", "NT24", "NT25", "NT26", "NT27", "NT28", "NT29", "NT30", "NT31", "NT32",
             "NT33", "NT34", "NT35", "NT36", "NT37", "NT38", "NT39", "NT40", "NT41", "NT42", "NT43", "NT44", "NT45",
             "NT46", "NT47", "NT48", "NT49", "NT50", "NT51", "NT52", "NT53", "NT54", "NT55", "NT56", "NT57", "NT58",
             "NT59", "NT60", "NT61", "NT62", "NT63", "NT64", "NT65", "NT66", "NT67", "NT68", "NT69", "NT70", "NT71",
             "NT72", "NT73", "NT74", "NT75", "NT76", "NT77", "NT81", "NT82", "NT83", "NT84", "NT85", "NT86", "NT87",
             "NT94", "NT95", "NT96", "NW95", "NW96", "NW97", "NX03", "NX04", "NX05", "NX06", "NX07", "NX08", "NX12",
             "NX13", "NX14", "NX15", "NX16", "NX17", "NX18", "NX19", "NX24", "NX25", "NX26", "NX27", "NX28", "NX29",
             "NX33", "NX34", "NX35", "NX36", "NX37", "NX38", "NX39", "NX43", "NX44", "NX45", "NX46", "NX47", "NX48",
             "NX49", "NX54", "NX55", "NX56", "NX57", "NX58", "NX59", "NX64", "NX65", "NX66", "NX67", "NX68", "NX69",
             "NX74", "NX75", "NX76", "NX77", "NX78", "NX79", "NX84", "NX85", "NX86", "NX87", "NX88", "NX89", "NX95",
             "NX96", "NX97", "NX98", "NX99", "NY06", "NY07", "NY08", "NY09", "NY16", "NY17", "NY18", "NY19", "NY26",
             "NY27", "NY28", "NY29", "NY36", "NY37", "NY38", "NY39", "NY47", "NY48", "NY49", "NY57", "NY58", "NY59",
             "NY69"])
        self.pushButton_2 = QtWidgets.QPushButton(self.centralwidget)
        self.pushButton_2.setGeometry(QtCore.QRect(300, 400, 256, 23))
        self.pushButton_2.setObjectName("pushButton_2")
        self.pushButton = QtWidgets.QPushButton(self.centralwidget)
        self.pushButton.setGeometry(QtCore.QRect(300, 370, 256, 23))
        self.pushButton.setObjectName("pushButton")
        MainWindow.setCentralWidget(self.centralwidget)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "Scotland Batch File Runner"))
        self.groupBox_2.setTitle(_translate("MainWindow", "Grid Size"))
        self.radioButton.setText(_translate("MainWindow", "2m"))
        self.radioButton.setChecked(True)
        self.radioButton_2.setText(_translate("MainWindow", "5m"))
        __sortingEnabled = self.listWidget.isSortingEnabled()
        self.listWidget.setSortingEnabled(False)
        item = self.listWidget.item(0)
        item.setText(_translate("MainWindow", "10%"))
        item = self.listWidget.item(1)
        item.setText(_translate("MainWindow", "3.33%"))
        item = self.listWidget.item(2)
        item.setText(_translate("MainWindow", "2%"))
        item = self.listWidget.item(3)
        item.setText(_translate("MainWindow", "1.33%"))
        item = self.listWidget.item(4)
        item.setText(_translate("MainWindow", "1%"))
        item = self.listWidget.item(5)
        item.setText(_translate("MainWindow", "0.5%"))
        item = self.listWidget.item(6)
        item.setText(_translate("MainWindow", "0.1%"))
        self.listWidget.setSortingEnabled(__sortingEnabled)
        self.label_2.setText(_translate("MainWindow", "Annual Exceedance Probability (AEP) (%)"))
        self.groupBox.setTitle(_translate("MainWindow", "Storm Duration"))
        self.checkBox_3.setText(_translate("MainWindow", "1hr"))
        self.checkBox_4.setText(_translate("MainWindow", "3hr"))
        self.checkBox_5.setText(_translate("MainWindow", "6hr"))
        self.groupBox_3.setTitle(_translate("MainWindow", "Climate Change Scenario"))
        self.checkBox_6.setText(_translate("MainWindow", "Current Day-2021"))
        self.checkBox_7.setText(_translate("MainWindow", "2050"))
        self.checkBox_8.setText(_translate("MainWindow", "2080"))
        self.checkBox_9.setText(_translate("MainWindow", "Low"))
        self.checkBox_10.setText(_translate("MainWindow", "Medium"))
        self.checkBox_11.setText(_translate("MainWindow", "High"))
        self.label.setText(_translate("MainWindow", "TUFLOW Executable Location"))
        self.pushButton_3.setText(_translate("MainWindow", "Browse"))
        self.pushButton_3.clicked.connect(MainWindow.browseSlot)
        self.label_3.setText(_translate("MainWindow", "TUFLOW TCF Location"))
        self.pushButton_4.setText(_translate("MainWindow", "Browse"))
        self.pushButton_4.clicked.connect(MainWindow.browseSlot_2)
        self.label_5.setText(_translate("MainWindow", "Tile Number"))
        self.pushButton_2.setText(_translate("MainWindow", "Run Batch File"))
        self.pushButton_2.clicked.connect(self.run_batch_clicked)
        self.pushButton.setText(_translate("MainWindow", "Create Batch File"))
        self.pushButton.clicked.connect(self.create_batch_clicked)

    # Function to browse to file and obtain file path and name for TUFLOW Executable
    def browseSlot(self):
        ename = QFileDialog.getOpenFileName(self, 'Select TUFLOW Executable',
                                            'c:\\', "TUFLOW Executable (*.exe)")
        global path
        path = ename[0]
        self.lineEdit.setText(path)

    # Function to browse to file and obtain file path and name for TUFLOW Control File
    def browseSlot_2(self):
        tcf_name = QFileDialog.getOpenFileName(self, 'Select TUFLOW Control File',
                                               'c:\\', "TUFLOW TCF (*.TCF)")
        global tcf_path  # Global to use tcf_path in later function
        tcf_path = tcf_name[0]
        self.lineEdit_2.setText(tcf_path)

        global tcf_directory
        tcf_directory = tcf_path.rsplit("/", 1)[0]

    # Function to generate a batch file
    # First set up lists
    def create_batch_clicked(self):
        # Set AEP List
        try:
            aep = ([i.text() for i in self.listWidget.selectedItems()])
            model_domains = ([i.text() for i in self.listWidget_2.selectedItems()])
            stormDuration = []
            # Append to lists. Storm Durations
            if self.checkBox_3.isChecked():
                stormDuration.append("1hr")
            if self.checkBox_4.isChecked():
                stormDuration.append("3hr")
            if self.checkBox_5.isChecked():
                stormDuration.append("6hr")
            # Set Grid Size.
            if self.radioButton_2.isChecked():
                s1 = '5m'
            elif self.radioButton.isChecked():
                s1 = '2m'
            # Set Climate Change options
            climateChange = []
            if self.checkBox_6.isChecked():
                climateChange.append("2021")
            if self.checkBox_7.isChecked():
                if self.checkBox_9.isChecked():
                    climateChange.append("2050_low")
                if self.checkBox_10.isChecked():
                    climateChange.append("2050_med")
                if self.checkBox_11.isChecked():
                    climateChange.append("2050_high")
            if self.checkBox_8.isChecked():
                if self.checkBox_9.isChecked():
                    climateChange.append("2080_low")
                if self.checkBox_10.isChecked():
                    climateChange.append("2080_med")
                if self.checkBox_11.isChecked():
                    climateChange.append("2080_high")
        except:
            pass
        if not 'path' in globals() or not path:
            QMessageBox.about(self, "Error", "Please select a TUFLOW Executable")
        else:
            TUFLOW_path = path
            if not 'tcf_path' in globals() or not tcf_path:
                QMessageBox.about(self, "Error", "Please select a TUFLOW Control File (TCF)")
            else:
                TUFLOW_TCF = tcf_path

        # Generate Batch File.  Set up Error Messages if Lists are empty or variables undefined/empty.
                with open(tcf_directory + "/run_TUFLOW.bat", "w") as file:
                    if not aep:
                        QMessageBox.about(self, "Error", "Please select an AEP Event")
                    else:
                        aep1 = ' '.join(aep)
                        if not stormDuration:
                            QMessageBox.about(self, "Error", "Please select a Storm Duration")
                        else:
                            sd1 = ' '.join(stormDuration)
                            if not model_domains:
                                QMessageBox.about(self, "Error", "Please select a model domain")
                            else:
                                md1 = ' '.join(model_domains)
                                if not climateChange:
                                    QMessageBox.about(self, "Error", "Please select a Climate Change Horizon")
                                else:
                                    cc1 = ' '.join(climateChange)
                                    file.write("@ echo off" + '\n' + ":: This sets the variables as local, so you can use another batch file with A, B, C and D variables\n SetLocal\n :: set up variables\n\n"
                                        + "Set A=" + sd1 + "\nSet B=" + aep1 + "\nSet C=" + md1 + "\nSet D=" + cc1 + "\n:: Loop through\n For %%d in (%D%) DO (\n        FOR %%c in (%C%) DO (\n        FOR %%b in (%B%) DO (\n	FOR %%a in (%A%) DO (\n		   start \"TUFLOW\" /wait \"" + TUFLOW_path + "\" -b" + " -e1 %%a -e2 %%b -e3 %%d -s1 " + s1 + " -s2 %%c \"" + TUFLOW_TCF + "\"\n)\n)\n)\n)")  # Will generate a copy.bat file with the relevent commands in the location you want to copy to.
                                    QMessageBox.about(self, "Success", "A batch file has been created")

    # Function to run batch file
    def run_batch_clicked(self):
        try:
            self.create_batch_clicked()
            subprocess.Popen([tcf_directory + "/run_TUFLOW.bat"])
        except:
            QMessageBox.about(self, "Error", "An error has occured")
